# Method: chromeosdevices.get

Retrieves a Chrome OS device's properties.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](https://developers.google.com/workspace/admin/directory/v1/reference/users). |
| `deviceId` | `string` The unique ID of the device. The `deviceId`s are returned in the response from the [chromeosdevices.list](https://developers.google.com/workspace/admin/directory/v1/reference/chromeosdevices/list) method. |

### Query parameters

| Parameters ||
|---|---|
| `projection` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/chromeosdevices/get#Projection`)`` Determines whether the response contains the full list of properties or only a subset. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/chromeosdevices#ChromeOsDevice`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.device.chromeos`
- `
  https://www.googleapis.com/auth/admin.directory.device.chromeos.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## Projection

The type of projection to show for the device.

| Enums ||
|---|---|
| `BASIC` | Includes only the basic metadata fields (e.g., deviceId, serialNumber, status, and user) |
| `FULL` | Includes all metadata fields |